<?php

session_start();
$usuario=$_SESSION['rut'];
include '../../conexion/conn.php';

$cliente_cod = $_REQUEST['cliente_cod'];
$exportador_cod = $_REQUEST['exportador_cod'];
$packing_cod = $_REQUEST['packing_cod'];

$fecha_proceso = $_REQUEST['fecha_proceso'];




$rs = mysql_query("SELECT usuario_folio_inicio, usuario_folio_final FROM usuario where usuario_rut='$usuario'");   
if($row = mysql_fetch_array($rs)){
	$usuario_folio_inicial=$row['usuario_folio_inicio'];
	$usuario_folio_final=$row['usuario_folio_final'];
}

$rs = mysql_query("SELECT MAX(id_planilla_dia) as cont FROM planilla_dia where usu_crea='$usuario'");
    
if($row = mysql_fetch_array($rs)){
	$folio_planilla=$row['cont']+1;
	if($folio_planilla<$usuario_folio_inicial){
		$folio_planilla=$usuario_folio_inicial;
		$sql =  ("INSERT INTO planilla_dia (id_planilla_dia, cliente_cod, exportador_cod, packing_cod, fecha_proceso, estado, usu_crea, fecha_crea, sincro) values('$folio_planilla', '$cliente_cod', '$exportador_cod', '$packing_cod', '$fecha_proceso', 'ACTIVO', '$usuario', now(), 'N')");
		$result = @mysql_query($sql);
		mysql_close();
		if ($result){
			echo "Datos Grabados";
		} else {
			echo "Se Han Producido Errores";
		}
	}else if($folio_planilla>$usuario_folio_final){
		echo "Ha Llegado al limite de creación de Planillas".$usuario;
	}else if($folio_planilla>=$usuario_folio_inicial && $folio_planilla<=$usuario_folio_final){
		$sql =  ("INSERT INTO planilla_dia (id_planilla_dia, cliente_cod, exportador_cod, packing_cod, fecha_proceso, estado, usu_crea, fecha_crea, sincro) values('$folio_planilla', '$cliente_cod', '$exportador_cod', '$packing_cod', '$fecha_proceso', 'ACTIVO', '$usuario', now(), 'N')");
		$result = @mysql_query($sql);
		mysql_close();
		if ($result){
			echo "Datos Grabados";
		} else {
			echo "Se Han Producido Errores2".$usuario_folio_saldo." ".$usuario_folio_final." ".$usuario_folio_final." ".$folio_planilla;
		}
	}
}
?>